material {
  rdf.dir = ""
  rdf.dir = ${?RDF_MATERIAL_DIR}
  cache.dir = ""
  cache.dir = ${?MATERIAL_CACHE}
  index.name.material = ""
}

postgres {
  connectionPool = "HikariCP"
  dataSourceClass = "org.postgresql.ds.PGSimpleDataSource"
  properties = {
    serverName = "localhost"
    portNumber = "5432"
    databaseName = "mso-backend"
    user = "postgres"
    password = "admin"
  }
  numThreads = 10
}

connector {
    repoName = "dev-ird"
    repoName = ${?RDF_REPO}
    elasticsearchNode = "http://elasticsearch:9200"
    elasticsearchNode = ${?ELASTIC_SEARCHNODE}
}

index {
  client.driver = "es"
  es {
    response.timeout = 10000
    master.uri = "http://localhost:9200"
    //master.uri = "http://192.168.32.24:9200"
    master.uri = ${?ES_MASTER_URI}
    user = ""
    user = ${?ES_CLUSTER_USER}
    passwd = ""
    passwd = ${?ES_CLUSTER_PWD}
    prefix = "dev-datahub-"
    prefix = ${?ES_PREFIX_TYPES_WITH}
    default = {
      shards = 1,
      shards = ${?ES_DEFAULT_SHARDS},
      replicas = 0,
      replicas = ${?ES_DEFAULT_REPLICAS},
      refresh_rate = "1s"
    }
    max_result_window = 1000,
    mapping = {
      total_fields.limit = 1000,
      depth.limit = 20,
      nested_fields.limit = 50
    }
  }
}

rdf {
  user = "admin"
  user = ${?RDFSTORE_USER}
  password = "root"
  password = ${?RDFSTORE_PWD}
  root.uri = "http://localhost:7200"
  root.uri = ${?RDFSTORE_ROOT_URI}
  read.endpoint = ""
  read.endpoint = ${?RDFSTORE_READ_ENDPOINT}
  write.endpoint = "statements"
  write.endpoint = ${?RDFSTORE_WRITE_ENDPOINT}
  client.driver = "rdf4j"
  client.driver = ${?RDFSTORE_CLIENT_DRIVER}
}